%global srcname okonomiyaki

Name:           python-%{srcname}
Version:        1.2.0
Release:        1%{?dist}
Summary:        Library to deal with metadata in Enthought-specific eggs

License:        BSD
URL:            https://github.com/enthought/okonomiyaki
Source0:        https://files.pythonhosted.org/packages/source/o/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

%description
Okonomiyaki is an experimental library aimed at consolidating a lot of our
low-level code used for Enthought’s eggs.

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname}
Okonomiyaki is an experimental library aimed at consolidating a lot of our
low-level code used for Enthought’s eggs.


%prep
%autosetup -n %{srcname}-%{version}


%build
%{__python3} setup.py build


%install
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%check
#%{__python3} setup.py test


%files -n python3-%{srcname}
# license available in github sources
#%license LICENSE
%doc README.rst
%{python3_sitelib}/*


%changelog
* Fri Apr 17 2020 Dan Horák <dan@danny.cz> - 1.2.0-1
- updated to 1.2.0

* Fri Aug 23 2019 Dan Horák <dan@danny.cz> - 1.0.0-1
- initial Fedora version
